precision mediump float;

#define NUM_TEXTURES 2

uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;
uniform sampler2D a_Texture1;

uniform int a_Texture0Width;
uniform int a_Texture0Height;

varying vec2 v_texcoord[NUM_TEXTURES];

void main()
{
	//vec4 texColor=texture2D(a_Texture0, v_texcoord[0]);
	//gl_FragColor=texColor;

	
	
	vec4 color1;
	vec4 color2;
	{
		float d = 1.0/float(a_Texture0Width);
		vec4 color = vec4(0.0,0.0,0.0,0.0);
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(-6.0*d,0.0)) * 0.1;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(-5.0*d,0.0)) * 0.2;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(-4.0*d,0.0)) * 0.36;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(-3.0*d,0.0)) * 0.56;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(-2.0*d,0.0)) * 0.77;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(-1.0*d,0.0)) * 0.94;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy		     ) * 1.0;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2( 1.0*d,0.0)) * 0.94;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2( 2.0*d,0.0)) * 0.77;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2( 3.0*d,0.0)) * 0.56;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2( 4.0*d,0.0)) * 0.36;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2( 5.0*d,0.0)) * 0.2;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2( 6.0*d,0.0)) * 0.1;
		color /= 6.0;	
		color1=color;
	}

	{
		float d = 1.0/float(a_Texture0Height);
		vec4 color = vec4(0.0,0.0,0.0,0.0);
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,-6.0*d)) * 0.1;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,-5.0*d)) * 0.2;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,-4.0*d)) * 0.36;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,-3.0*d)) * 0.56;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,-2.0*d)) * 0.77;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,-1.0*d)) * 0.94;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy		     ) * 1.0;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0, 1.0*d)) * 0.94;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0, 2.0*d)) * 0.77;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0, 3.0*d)) * 0.56;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0, 4.0*d)) * 0.36;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0, 5.0*d)) * 0.2;
		color +=     texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0, 5.0*d)) * 0.1;
		color /= 6.0;
		color2=color;
	}
	gl_FragColor = (color1+color2)*0.6;
	//gl_FragColor = gl_FragColor*gl_FragColor;

	
	/*float dx = 1.0/float(a_Texture0Width);
	float dy = 1.0/float(a_Texture0Height);
	vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,0.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,dy*2.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*4.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*4.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,dy*4.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,dy*4.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*6.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*6.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,dy*6.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,dy*6.0));

	color /= 16.0;
	
	gl_FragColor = color;*/
}