precision mediump float;

#define NUM_TEXTURES 2

uniform bool enable_fog; 
uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;
uniform sampler2D a_Texture1;
uniform vec4 fog_Color;
uniform float Rate4;
uniform float FogLongDu;
uniform float FogDisRate;
uniform float fog_start;

varying float posz;
varying vec2 v_texcoord[NUM_TEXTURES];

void main()
{
	gl_FragColor=texture2D(a_Texture0, v_texcoord[0]);
	gl_FragColor.xyz*=Rate4;
		
	if (enable_fog)
	{	
		if (posz>fog_start)
		{
			float rate = clamp((posz-fog_start)*FogDisRate, 0.0, FogLongDu);
			gl_FragColor.xyz=gl_FragColor.xyz*(1.0-rate)+fog_Color.xyz*rate;
		}
	}
	/*else
	{
		vec4 fogColor=vec4(0.55,0.7,0.5,1.0);
		
		if (posz>0.0)
		{
			float rate=(posz-0.0)*0.0140;
			//rate=pow(rate,0.6);
			if (rate<0.0) rate=0.0;
			if (rate>0.95) rate=0.95;
			rate*=0.8;
			gl_FragColor.xyz=gl_FragColor.xyz*(1.0-rate)+fog_Color.xyz*rate;
		}
	}*/
	
}